\newfont{\thirteenbx}{cmbxti10 scaled 1300}

% by Toru Sato
%    Department of Electrical Engineering, Kyoto University, Kyoto 606
%    E-mail: tsato@kuee.kyoto-u.ac.jp
%    Phone:  075-753-5960   Fax: 075-751-8201
% based on :
% ARTICLE DOCUMENT STYLE -- released 16 March 1988
%    for LaTeX version 2.09
% Copyright (C) 1985 by Leslie Lamport
% and also on :
% jggtex.v1  by Yoshimori Honkura, Tokyo Institute of Technology
%======================================================================
%  Style options:
%    draft     : produces A4 size draft
%    draftfont : produce an output without small sc and bxsl fonts
%                to avoid font problems.
%    letter    : for Letters   (default is full paper)
%
\newif\ifdfont
\let\ifdfont=\iffalse  % Default is 'realfonts'
\@namedef{ds@draftfont}{\let\ifdfont=\iftrue} % 120% of the real size

\def\@category{0}                         % Default is full paper
\@namedef{ds@letter}{\def\@category{1}}   % Letter

%  draft option
%
\newif\ifdraft
\let\ifdraft=\iffalse		% Default is true size, final format
\@namedef{ds@draft}{\let\ifdraft=\iftrue}  % A4-size draft style
\overfullrule = 0pt             % Don't mark overfull hboxes.

\def\@numz{0}
\def\@numi{1}
\def\@numii{2}

\@options

\ifdfont
%============================================================================
% replace 8 & 9pt sc fonts by sl fonts, and 8pt bxsl font by bx font
\font\bxsl=cmbx8

\def\viiipt{\textfont\z@\egtrm 
  \scriptfont\z@\sixrm \scriptscriptfont\z@\fivrm
\textfont\@ne\egtmi \scriptfont\@ne\sixmi \scriptscriptfont\@ne\fivmi
\textfont\tw@\egtsy \scriptfont\tw@\sixsy \scriptscriptfont\tw@\fivsy
\textfont\thr@@\tenex \scriptfont\thr@@\tenex \scriptscriptfont\thr@@\tenex
\def\prm{\fam\z@\egtrm}%
\def\unboldmath{\everymath{}\everydisplay{}\@nomath
\unboldmath\@boldfalse}\@boldfalse
\def\boldmath{\@subfont\boldmath\unboldmath}%
\def\pit{\fam\itfam\egtit}\textfont\itfam\egtit 
   \scriptfont\itfam\sevit \scriptscriptfont\itfam\sevit 
\def\psl{\@getfont\psl\slfam\@viiipt{cmsl8}}%
\def\pbf{\@getfont\pbf\bffam\@viiipt{cmbx8}}%
\def\ptt{\@getfont\ptt\ttfam\@viiipt{cmtt8}\@nohyphens\ptt\@viiipt}%
\def\psf{\@getfont\psf\sffam\@viiipt{cmss8}}%
\def\psc{\@getfont\psc\scfam\@viiipt{cmsl8}}% use sl
\def\ly{\fam\lyfam\egtly}\textfont\lyfam\egtly 
    \scriptfont\lyfam\sixly \scriptscriptfont\lyfam\fivly 
\@setstrut \rm}

\def\@viiipt{}

\def\ixpt{\textfont\z@\ninrm 
  \scriptfont\z@\sixrm \scriptscriptfont\z@\fivrm
\textfont\@ne\ninmi \scriptfont\@ne\sixmi \scriptscriptfont\@ne\fivmi
\textfont\tw@\ninsy \scriptfont\tw@\sixsy \scriptscriptfont\tw@\fivsy
\textfont\thr@@\tenex \scriptfont\thr@@\tenex \scriptscriptfont\thr@@\tenex
\def\prm{\fam\z@\ninrm}%
\def\unboldmath{\everymath{}\everydisplay{}\@nomath\unboldmath
    \@boldfalse}\@boldfalse
\def\boldmath{\@subfont\boldmath\unboldmath}%
\def\pit{\fam\itfam\ninit}\textfont\itfam\ninit 
   \scriptfont\itfam\sevit \scriptscriptfont\itfam\sevit 
\def\psl{\@getfont\psl\slfam\@ixpt{cmsl9}}%
\def\pbf{\fam\bffam\ninbf}\textfont\bffam\ninbf 
   \scriptfont\bffam\ninbf \scriptscriptfont\bffam\ninbf 
\def\ptt{\fam\ttfam\nintt}\textfont\ttfam\nintt
   \scriptfont\ttfam\nintt \scriptscriptfont\ttfam\nintt 
\def\psf{\@getfont\psf\sffam\@ixpt{cmss9}}%
\def\psc{\@getfont\psc\scfam\@ixpt{cmsl9}}%  use sl
\def\ly{\fam\lyfam\ninly}\textfont\lyfam\ninly 
   \scriptfont\lyfam\sixly \scriptscriptfont\lyfam\fivly 
\@setstrut \rm}

\def\@ixpt{}
%============================================================================
\else
\font\bxsl=cmbxsl10 scaled 800
%============================================================================
\fi

\lineskip 1pt \normallineskip 1pt
\def\baselinestretch{1}
\def\ls#1{} % does not allow to change \baselinestretch

\def\normalsize{\@setsize\normalsize{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt
minus3pt\let\@listi\@listI}
\def\small{\@setsize\small{11pt}\ixpt\@ixpt
\abovedisplayskip 8.5pt plus 3pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus2pt\belowdisplayshortskip 4pt plus2pt minus 2pt
\let\@listi\@listI}
\def\footnotesize{\@setsize\footnotesize{9.5pt}\viiipt\@viiipt
\abovedisplayskip 6pt plus 2pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus 1pt\belowdisplayshortskip 3pt plus 1pt minus
2pt\let\@listi\@listI}
\def\scriptsize{\@setsize\scriptsize{8pt}\viipt\@viipt}
\def\tiny{\@setsize\tiny{6pt}\vpt\@vpt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}

\def\@listI{\leftmargin\leftmargini \parsep 0pt\topsep 0pt\itemsep 0pt
 \partopsep 0pt}
\def\@listii{\leftmargin\leftmarginii
 \labelwidth\leftmarginii\advance\labelwidth-\labelsep
 \parsep 0pt\topsep 0pt\itemsep 0pt\partopsep 0pt}
\def\@listiii{\leftmargin\leftmarginiii
 \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
 \parsep 0pt\topsep 0pt\itemsep 0pt\partopsep 0pt}
\def\@listiv{\leftmargin\leftmarginiv
 \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
 \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
 \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}

\topmargin 0pt
\oddsidemargin 2in \evensidemargin 2in \marginparwidth 50pt
\marginparsep 11pt 
\headheight 10pt \headsep 16pt \footskip 18pt 
\textheight 598pt
\textwidth 14.8cm \columnsep 10pt \columnseprule 0pt 

\@twosidetrue\@mparswitchtrue % twoside option in effect

\normalsize 

\footnotesep 6.65pt 
\skip\footins 9pt plus 4pt minus 2pt 
\floatsep 12pt plus 2pt minus 2pt \textfloatsep 20pt plus 2pt minus 4pt
\intextsep 12pt plus 2pt minus 2pt
\dblfloatsep 12pt plus 2pt
minus 2pt \dbltextfloatsep 20pt plus 2pt minus 4pt
\@fptop 0pt plus 1fil \@fpsep 8pt plus 2fil \@fpbot 0pt plus 1fil 
\@dblfptop 0pt plus 1fil \@dblfpsep 8pt plus 2fil \@dblfpbot 0pt plus 1fil
\marginparpush 5pt 

\parskip 0pt plus 1pt \parindent 20pt \topsep 0pt plus 1pt
\partopsep 0pt plus 1pt \itemsep 0pt plus 1pt
\@lowpenalty 51 \@medpenalty 151 \@highpenalty 301 
\@beginparpenalty -\@lowpenalty \@endparpenalty -\@lowpenalty \@itempenalty
-\@lowpenalty 

\leftmargini 25pt
\leftmarginii 22pt \leftmarginiii 18.7pt \leftmarginiv 17pt
\leftmarginv 10pt \leftmarginvi 10pt
\leftmargin\leftmargini
\labelsep 5pt
\labelwidth\leftmargini\advance\labelwidth-\labelsep
\let\@listi\@listI
\@listI
\setcounter{secnumdepth}{3}

%    ****************************************
%    *                LISTS                 *
%    ****************************************
%

\def\labelenumi{\theenumi.}    
\def\theenumi{\arabic{enumi}}     
 
\def\labelenumii{(\theenumii)}
\def\theenumii{\alph{enumii}}
\def\p@enumii{\theenumi}

\def\labelenumiii{\theenumiii.}
\def\theenumiii{\roman{enumiii}}
\def\p@enumiii{\theenumi(\theenumii)}

\def\labelenumiv{\theenumiv.}
\def\theenumiv{\Alph{enumiv}}     
\def\p@enumiv{\p@enumiii\theenumiii}

% ITEMIZE

\def\labelitemi{$\bullet$}
\def\labelitemii{\bf --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}


% VERSE
%
\def\verse{\let\\=\@centercr  
  \list{}{\itemsep\z@ \itemindent -1.5em\listparindent \itemindent 
          \rightmargin\leftmargin\advance\leftmargin 1.5em}\item[]}
\let\endverse\endlist
%

% ACKNOWLEDGEMENTS
\def\acknowledgements{\par\bigskip\small}
\let\endacknowledgements\relax

% REFERENCES
%
\def\references{
\@startsection {section}{1}{1em}{2.5ex plus 1ex minus 
 .2ex}{1.5ex plus .2ex}{\centering\small}*{REFERENCES}
  \small \let\\=\@centercr 
  \list{}{\itemsep\z@ \itemindent -1.5em\listparindent \itemindent 
          \leftmargin\z@
          \rightmargin\leftmargin\advance\leftmargin 1.5em}\item[]}
\let\endreferences=\endlist

% APPENDIX
%
\newcounter{appendix}
\setcounter{appendix}{0}
\def\appendix{
 \refstepcounter{appendix}
  \def\@beforeskip{13pt plus 4pt minus 2pt}
 \def\@afterskip{13pt plus 4pt minus 2pt}
 \def\theappendix{\Alph{appendix}}
 \@ifstar{\@appendix{}}{\@appendix{~\theappendix}}
}
\def\@appendix#1#2{
\def\a@title{#2}
\ifx\@empty\a@title % no title
\@startsection {section}{1}{1em}{\@beforeskip}%
{\@afterskip}{\centering\small}*{APPENDIX#1}
\else % with title
  \if@noskipsec \leavevmode \fi
  \par \@afterindenttrue
  \if@nobreak \everypar{}\else
    \addpenalty{\@secpenalty}\addvspace{\@beforeskip}\fi
  \@hangfrom{\hspace*{1em}Appendix#1:~}{\interlinepenalty \@M #2\par}
  \@xsect{\@afterskip}
\fi
  \setcounter{section}{0}
  \def\thesection{}% section should not be used in appendix
  \setcounter{subsection}{0}
  \def\thesubsection{\theappendix.\arabic{subsection}}
  \setcounter{subsubsection}{0}
  \def\thesubsubsection{\thesubsection\arabic{subsubsection}}
  \setcounter{equation}{0}
  \def\theequation{{\rm \theappendix.\arabic{equation}}}
}

% QUOTATION
%   Fills lines
%   Indents paragraph
%   
\def\quotation{\list{}{\listparindent 1.5em
    \itemindent\listparindent \topsep 2.5ex plus 1ex minus .2ex
    \rightmargin\leftmargin \itemsep 2.5ex plus 1ex minus .2ex
    \parsep 0pt plus 1pt}\item[]}
\let\endquotation=\endlist

% QUOTE -- same as quotation except no paragraph indentation,
%
\def\quote{\list{}{\rightmargin\leftmargin}\item[]}
\let\endquote=\endlist

% DESCRIPTION 
%
%  To change the formatting of the label, you must redefine 
%  \descriptionlabel.  

\def\descriptionlabel#1{\hspace\labelsep \bf #1}
\def\description{\list{}{\labelwidth\z@ \itemindent-\leftmargin
       \let\makelabel\descriptionlabel}}

\let\enddescription\endlist

%\newdimen\descriptionmargin
%\descriptionmargin=3em

%    ****************************************
%    *         OTHER ENVIRONMENTS           *
%    ****************************************


% EQUATION and EQNARRAY 
%
% \newcounter{equation}    
%  Default is for left-hand side of equations to be flushleft.
%  To make them flushright, do:
%  \let\@eqnsel = \hfil
%

\def\theequation{\arabic{equation}}
\def\@eqnnum{(\theequation)\hspace*{1em}} 

% \jot = 3pt      % Extra space added between lines of an eqnarray environment

% ARRAY AND TABULAR
%

\arraycolsep 5pt     % Half the space between columns in an array environment.
\tabcolsep 6pt       % Half the space between columns in a tabular environment.
\arrayrulewidth .4pt % Width of rules in array and tabular environment.
\doublerulesep 2pt   % Space between adjacent rules in array or tabular env.

% TABBING
\tabbingsep \labelsep   % Space used by the \' command.  (See LaTeX manual.)

% MINIPAGE
\skip\@mpfootins = \skip\footins

% FRAMEBOX
\fboxsep = 3pt    % Space left between box and text by \fbox and \framebox.
\fboxrule = .4pt  % Width of rules in box made by \fbox and \framebox.


%    ****************************************
%    *             SECTIONS                 *
%    ****************************************
%

\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

\def\thesection       {\arabic{section}.}
\def\thesubsection    {\thesection\arabic{subsection}.}
\def\thesubsubsection {\thesubsection\arabic{subsubsection}}
\def\theparagraph     {\thesubsubsection.\arabic{paragraph}}
\def\thesubparagraph  {\theparagraph.\arabic{subparagraph}}

\def\section{\@startsection {section}{1}{1em}{2.5ex plus 1ex minus 
 .2ex}{2.5ex plus .2ex}{\normalsize}}
\def\subsection{\@startsection{subsection}{2}{\z@}{2.5ex plus 1ex minus 
 .2ex}{.001pt}{\normalsize\it}}
\def\subsubsection{\@startsection{subsubsection}{3}{2em}{\z@}%
 {.001pt}{\normalsize\it}}



%    ****************************************
%    *             FOOTNOTES                *
%    ****************************************
%

\def\footnoterule{\kern-3\p@   
  \hrule width .4\columnwidth 
  \kern 2.6\p@}                 % The \hrule has default height of .4pt .

% \newcounter{footnote}

\long\def\@makefntext#1{\parindent 1em\noindent 
            \hbox to 1.8em{\hss$^{\@thefnmark}$}#1}

% \@makefnmark : A macro to generate the footnote marker that goes
%                in the text.  Default definition used.



%    ****************************************
%    *         FIGURES AND TABLES           *
%    ****************************************
% 
% Float placement parameters.  See LaTeX manual for their definition.
%
\setcounter{topnumber}{3}
\def\topfraction{.7}
\setcounter{bottomnumber}{3}
\def\bottomfraction{.7}
\setcounter{totalnumber}{5}
\def\textfraction{.2}
\def\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}

% CAPTION

\long\def\@makecaption#1#2{
   \vskip 14pt % 0.5cm
   \footnotesize
   \leftskip=0pt\rightskip=0pt
   \setbox\@tempboxa\hbox{#1 #2}
   \ifdim \wd\@tempboxa >\hsize   % IF longer than one line:
       \leftskip=1.6em            % THEN  hanging indent
       \hspace*{-1.6em}\unhbox\@tempboxa\par
   \else                          %   ELSE  center.
       \hbox to\hsize{\hfil\box\@tempboxa\hfil}  
   \fi
   \vskip 1em \leftskip=0pt}

% FIGURE

\newcounter{figure}
\def\thefigure{\@arabic\c@figure}

\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}

\def\fnum@figure{Fig. \thefigure.~}
\def\figure{\@float{figure}}
\let\endfigure\end@float
\@namedef{figure*}{\@dblfloat{figure}}
\@namedef{endfigure*}{\end@dblfloat}

% TABLE
%
\newcounter{table}
\def\thetable{\@arabic\c@table}

\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{Table \thetable.~}
\def\table{\@float{table}}
\let\endtable\end@float
\@namedef{table*}{\@dblfloat{table}}
\@namedef{endtable*}{\end@dblfloat}

% FLOAT (taken from latex.tex)
%
\def\@float#1{\@ifnextchar[{\@xfloat{#1}}{\edef\@tempa{\noexpand\@xfloat
    {#1}[\csname fps@#1\endcsname]}\@tempa}}

\def\@xfloat#1[#2]{\ifhmode \@bsphack\@floatpenalty -\@Mii\else
   \@floatpenalty-\@Miii\fi\def\@captype{#1}\ifinner
      \@parmoderr\@floatpenalty\z@
    \else\@next\@currbox\@freelist{\@tempcnta\csname ftype@#1\endcsname
       \multiply\@tempcnta\@xxxii\advance\@tempcnta\sixt@@n
       \@tfor \@tempa :=#2\do
                        {\if\@tempa h\advance\@tempcnta \@ne\fi
                         \if\@tempa t\advance\@tempcnta \tw@\fi
                         \if\@tempa b\advance\@tempcnta 4\relax\fi
                         \if\@tempa p\advance\@tempcnta 8\relax\fi
         }\global\count\@currbox\@tempcnta}\@fltovf\fi
    \global\setbox\@currbox\vbox\bgroup 
    \hsize\columnwidth \@parboxrestore \small}

\def\end@float{\par\vskip\z@\egroup %% \par\vskip\z@ added 15 Dec 87
   \ifnum\@floatpenalty <\z@
     \@cons\@currlist\@currbox
     \ifdim \ht\@currbox >\textheight 
        \ht\@currbox\textheight \fi
     \ifnum\@floatpenalty < -\@Mii 
        \penalty -\@Miv 
        \@tempdima\prevdepth    %% saving and restoring \prevdepth added
        \vbox{}                 %% 26 May 87 to prevent extra vertical
        \prevdepth \@tempdima   %% space when used in vertical mode
        \penalty\@floatpenalty
      \else \vadjust{\penalty -\@Miv \vbox{}\penalty\@floatpenalty}\@esphack
     \fi\fi}

%    ****************************************
%    *         TITLE AND ABSTRACT           *
%    ****************************************
%

\def\affiliation#1{\gdef\@affiliation{#1}}
\def\@affiliation{}
\def\@author{}
\def\@title{}

\def\maketitle{\par
 \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
   \def\@makefnmark{\hbox   
       to 0pt{$^{\@thefnmark}$\hss}}   
     \newpage
     \global\@topnum\z@    % Prevents figures from going at top of page.
     \@maketitle
    \ifdraft\else\thispagestyle{firstpage}\fi
   \@thanks
 \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax}

\def\@maketitle{\newpage
 \null
 \vspace{-.2cm}               % Vertical space above title.
 \begin{center}
  {\baselineskip=19pt 
   \thirteenbx \@title \par}
 \vskip 20pt               % Vertical space after title.
   {\small
   \lineskip .8em
   \begin{tabular}[t]{c}{By~\@author}
   \end{tabular}\par}
\end{center}
 \par}

\def\dedicatory#1{\centerline{\hbox{\scriptsize\it#1}}}

\def\abstract{\small\quotation}
\def\endabstract{\endquotation}

%    ****************************************
%    *            PAGE STYLES               *
%    ****************************************

\mark{{}{}}   % Initializes TeX's marks

\def\articlenumber#1#2#3{\gdef\@articlenumber{%
\vspace*{.22cm}\vbox to0pt{%
\parindent0pt\footnotesize%
J. Math.\ Sci.\ Univ.\ Tokyo\hfill\break
{\bf #1} (#2), \@frompage--\@topage.\hfill\par\vss}}}
\def\shorttitle#1{\gdef\@shorttitle{#1}}
\def\shortauthor#1{\gdef\@shortauthor{#1}}

\def\@articlenumber{}
\def\@shorttitle{}
\def\@shortauthor{}

\def\frompage#1{\gdef\@frompage{#1}} \frompage{}
\def\topage#1{\gdef\@topage{#1}} \topage{}

\def\ps@normal{
\def\@oddhead{{\footnotesize\phantom{\thepage}\hfill\@shorttitle\hfill\thepage}}
\def\@evenhead{{\footnotesize\thepage\hfill{\@shortauthor}\hfill\phantom{\thepage}}}
\def\@oddfoot{\hfill}
\def\@evenfoot{\hfill}
}
\def\ps@firstpage{
\ifx\@category\@numz              % full paper
  \def\@oddhead{\footnotesize{\@articlenumber}\hfill}
  \def\@evenhead{\footnotesize{\@articlenumber}\hfill}
\else\ifx\@category\@numi         % Letter
  \def\@oddhead{\footnotesize{\bxsl Letter}\hspace{.5em}\hrulefill
   \hspace{.5em}{\@articlenumber}}
  \def\@evenhead{\footnotesize{\bxsl Letter}\hspace{.5em}\hrulefill
   \hspace{.5em}{\@articlenumber}}
\fi\fi
\def\@oddfoot{{\hfill{\footnotesize\thepage}\hfill}}
\def\@evenfoot{{\hfill{\footnotesize\thepage}\hfill}}
}

%    ****************************************
%    *            MISCELLANEOUS             *
%    ****************************************
%
% DATE
%
\def\today{\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\day, \number\year}
%
% \degree : 'degree' symbol
\def\degree{\mbox{$^\circ$}}

% makepageeven : increment page No. by 1 if the current page No. is odd
\long\def\makepageeven{
 \ifodd\count0\advance\count0 by 1\fi
}

% makepageodd : increment page No. by 1 if the current page No. is even
\long\def\makepageodd{
 \ifodd\count0\else\advance\count0 by 1\fi
}

% \pagenum{x} : set the number of page which contains this command to be x.
\def\pagenum#1{\setcounter{page}{#1}}

%\newtoks\@stequation
%
%\def\subequations{\refstepcounter{equation}%
%  \edef\@savedequation{\the\c@equation}%
%  \@stequation=\expandafter{\theequation}%   %only want \theequation
%  \edef\@savedtheequation{\the\@stequation}% % expanded once
%  \edef\oldtheequation{\theequation}%
%  \setcounter{equation}{0}%
%  \def\theequation{\oldtheequation\alph{equation}}}
%
%\def\endsubequations{\setcounter{equation}{\@savedequation}%
%  \@stequation=\expandafter{\@savedtheequation}%
%  \edef\theequation{\the\@stequation}\global\@ignoretrue}

\def\simge{\mathrel{%
   \rlap{\raise 0.511ex \hbox{$>$}}{\lower 0.511ex \hbox{$\sim$}}}}

\def\simle{\mathrel{
   \rlap{\raise 0.511ex \hbox{$<$}}{\lower 0.511ex \hbox{$\sim$}}}}

% \yen: Yen symbol
\def\yen{{\setbox0=\hbox{Y}Y\kern-.97\wd0\vbox{\hrule height.1ex width.98\wd0
\kern.33ex\hrule height.1ex width.98\wd0\kern.45ex}}}

%=============================================================================

%    ****************************************
%    *           INITIALIZATION             *
%    ****************************************
%
% Default initializations

\ifdraft\ps@plain           % plain page style for draft
\else\ps@normal             % 'normal' page style for JGG style
\fi
\pagenumbering{arabic}      % Arabic page numbers
\onecolumn                  % Single-column.
%================== end of jgg.sty ==========================================
%
%=============================================================================
%              new definition
%=============================================================================
\input jms11.sty\relax
%
\def\n{\enskip}
\def\m{\quad}
\def\figbox#1#2{{\framebox[#1]{\rule{0cm}{#2}}}}
%
\def\section{\@startsection {section}{1}{\z@}
 {2.5ex plus 1ex minus .2ex}{2.5ex plus .2ex}{\normalsize\bf}}

\def\subsection{\@startsection{subsection}{2}{\z@}{2.5ex plus 1ex
 minus .2ex}{.001pt}{\normalsize\bf}}

\def\subsubsection{\@startsection{subsubsection}{3}{2em}{\z@}%
 {.001pt}{\normalsize\it}}
%
\long\def\@makefntext#1{\parindent 1em\noindent 
            \hbox to 1.8em{\hss}#1}
%
\@addtoreset{equation}{section}   % Makes \chapter reset 'equation' counter.
\def\theequation{\thesection\arabic{equation}}
%
\def\proclaimit#1#2{\vskip 7pt minus 1pt\nobreak
{\sc #1}\m{\it #2}\par
\vskip 7pt minus 1pt}

\def\proclaimrm#1#2{\vskip 7pt minus 1pt\nobreak
{\sc #1}\m{\rm #2}\par
\vskip 7pt minus 1pt}

\def\proclaim{\vskip 7pt minus 1pt\nobreak}
\def\endproclaim{\vskip 7pt minus 1pt\nobreak}

\newskip\proskipamount
\proskipamount=14pt minus 2pt
\def\proskip{\vskip\proskipamount}
%
\setlength{\topmargin}{0cm}
\setlength{\oddsidemargin}{.8mm}
\setlength{\evensidemargin}{.8mm}
\setlength{\abovedisplayskip}{12pt plus 1pt minus 1pt}
\setlength{\belowdisplayskip}{12pt plus 1pt minus 1pt}
\setlength{\abovedisplayshortskip}{12pt plus 1pt minus 1pt}
\setlength{\belowdisplayshortskip}{12pt plus 1pt minus 1pt}
%
\def\@appendix#1#2{
\def\a@title{#2}
\ifx\@empty\a@title % no title
\@startsection {section}{1}{1em}{\@beforeskip}%
{\@afterskip}{\centering\small}*{APPENDIX#1}
\else % with title
  \if@noskipsec \leavevmode \fi
  \par \@afterindenttrue
  \if@nobreak \everypar{}\else
    \addpenalty{\@secpenalty}\addvspace{\@beforeskip}\fi
  \@hangfrom{\normalsize\bf Appendix#1.\quad}{\interlinepenalty
  \@M \normalsize\bf #2\par}
  \@xsect{\@afterskip}
\fi
  \setcounter{section}{0}
  \def\thesection{}% section should not be used in appendix
  \setcounter{subsection}{0}
  \def\thesubsection{\theappendix.\arabic{subsection}}
  \setcounter{subsubsection}{0}
  \def\thesubsubsection{\thesubsection\arabic{subsubsection}}
  \setcounter{equation}{0}
  \def\theequation{{\rm \theappendix.\arabic{equation}}}
}
%
\def\appendixsubequations{\def\theequation{{\rm A}.\arabic{equation}}
  \refstepcounter{equation}%
  \edef\@savedequation{\the\c@equation}%
  \@stequation=\expandafter{\theequation}%   %only want \theequation
  \edef\@savedtheequation{\the\@stequation}% % expanded once
  \edef\oldtheequation{\theequation}%
  \setcounter{equation}{0}%
  \def\theequation{\oldtheequation\alph{equation}}}
\def\endappendixsubequations{\setcounter{equation}{\@savedequation}%
  \@stequation=\expandafter{\@savedtheequation}%
  \edef\theequation{\the\@stequation}\global\@ignoretrue}
%
\def\@pnumwidth{1.55em}
\def\@tocrmarg {2.55em}
\def\@dotsep{4.5}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{3}
\def\tableofcontents{\section*{Contents}
 \@starttoc{toc}}
\def\l@part#1#2{\addpenalty{\@secpenalty}
 \addvspace{2.25em plus 1pt} \begingroup
 \@tempdima 3em \parindent \z@ \rightskip \@pnumwidth \parfillskip
-\@pnumwidth 
 {\large \bf \leavevmode #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
 \nobreak \endgroup}
\def\l@section#1#2{\addpenalty{\@secpenalty} \addvspace{1.0em plus 1pt}
\@tempdima 1.5em \begingroup
 \parindent \z@ \rightskip \@pnumwidth 
 \parfillskip -\@pnumwidth 
 \bf \leavevmode \advance\leftskip\@tempdima \hskip -\leftskip #1\nobreak\hfil
\nobreak\hbox to\@pnumwidth{\hss #2}\par
 \endgroup}
\def\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
%
\def\illustration #1 by #2 (#3){%
\vbox to #2{%
\hrule width #1 height 0pt depth 0pt%
\vfill%
\special{illustration #3}}}
\def\scaledillustration #1 by #2 (#3 scaled #4){{%
\dimen0=#1 \dimen1=#2%
\divide\dimen0 by 1000 \multiply\dimen0 by #4%
\divide\dimen1 by 1000 \multiply\dimen1 by #4%
\illustration \dimen0 by \dimen1 (#3 scaled #4)}}
%
\def\pictures #1 by #2 (#3){%
\vbox to #2{%
\hrule width #1 height 0pt depth 0pt%
\vfill%
\special{picture #3}}}
\def\scaledpicture #1 by #2 (#3 scaled #4){{%
\dimen0=#1 \dimen1=#2%
\divide\dimen0 by 1000 \multiply\dimen0 by #4%
\divide\dimen1 by 1000 \multiply\dimen1 by #4%
\pictures \dimen0 by \dimen1 (#3 scaled #4)}}
%
\hoffset=1mm
\voffset=2mm
%
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
%
\renewcommand\@eqnnum{\hb@xt@.01\p@{}%
                      \rlap{\normalfont\normalcolor
                        \hskip -\displaywidth(\theequation)}}

